#
# spec file for package arping2
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           arping2
Version:        2.10
Release:        0
Summary:        Layer-2 Ethernet pinger
License:        GPL-2.0+
Group:          Productivity/Networking/Diagnostic
Url:            http://www.habets.pp.se/synscan/programs.php?prog=arping
#Freecode-URL:	http://freecode.com/projects/arping/

#Git-Clone:	git://github.com/ThomasHabets/arping
Source:         arping-%version.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} <= 1130
BuildRequires:  libnet
BuildRequires:  libpcap-devel
%else
BuildRequires:  libnet-devel
BuildRequires:  libpcap-devel
%endif
BuildRequires:  xz

%description
Arping is a util to find out it a specific IP address on the LAN is
"taken" and what MAC address owns it. It is designed to work on
unrouted networks and with ICMP-blocking hosts.

%prep
%setup -n arping-%version

%build
%configure
make %{?_smp_mflags}

%install
b="%buildroot";
make install DESTDIR="$b";
# Avoid collision with iputils's inferior arping.
mv "$b/%_sbindir"/{arping,%name};
mv "$b/%_mandir/man8"/{arping.8,%name.8};

%files
%defattr(-,root,root)
%_sbindir/*
%_mandir/*/*
%doc README

%changelog
